package com.izouma.awesomeadmin.model;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

import java.util.Date;

@JsonAutoDetect
@JsonSerialize(include = JsonSerialize.Inclusion.NON_NULL)
public class UsersSession {

    private Integer id;

    private Integer userId;

    private Integer toUserId;

    private Date createTime;

    private Date updateTime;

    private Integer type;

    private Integer projectId;

    private String delFlag;

    private UserInfo userInfo;

    private StoreInfo storeInfo;


    private Integer amount;

    private Date chattime;

    private ChatInfo chatInfo;


    private Date beginTime;

    private Date endTime;

    private Integer contactId;

    private Integer storeId;

    public Integer getContactId() {
        return contactId;
    }

    public void setContactId(Integer contactId) {
        this.contactId = contactId;
    }

    public Integer getId() {

        return id;
    }


    public void setId(Integer id) {

        this.id = id;
    }


    public Integer getUserId() {

        return userId;
    }


    public void setUserId(Integer userId) {

        this.userId = userId;
    }


    public Integer getToUserId() {

        return toUserId;
    }


    public void setToUserId(Integer toUserId) {

        this.toUserId = toUserId;
    }


    public Date getCreateTime() {

        return createTime;
    }


    public void setCreateTime(Date createTime) {

        this.createTime = createTime;
    }


    public Date getUpdateTime() {

        return updateTime;
    }


    public void setUpdateTime(Date updateTime) {

        this.updateTime = updateTime;
    }


    public Integer getType() {

        return type;
    }


    public void setType(Integer type) {

        this.type = type;
    }


    public Integer getProjectId() {

        return projectId;
    }


    public void setProjectId(Integer projectId) {

        this.projectId = projectId;
    }


    public String getDelFlag() {

        return delFlag;
    }


    public void setDelFlag(String delFlag) {

        this.delFlag = delFlag;
    }


    public Integer getAmount() {

        return amount;
    }


    public void setAmount(Integer amount) {

        this.amount = amount;
    }


    public Date getChattime() {

        return chattime;
    }


    public void setChattime(Date chattime) {

        this.chattime = chattime;
    }


    public ChatInfo getChatInfo() {

        return chatInfo;
    }


    public void setChatInfo(ChatInfo chatInfo) {

        this.chatInfo = chatInfo;
    }

    public Date getBeginTime() {

        return beginTime;
    }


    public void setBeginTime(Date beginTime) {

        this.beginTime = beginTime;
    }


    public Date getEndTime() {

        return endTime;
    }


    public void setEndTime(Date endTime) {

        this.endTime = endTime;
    }


    public Integer getStoreId() {
        return storeId;
    }

    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }


    public UserInfo getUserInfo() {
        return userInfo;
    }

    public void setUserInfo(UserInfo userInfo) {
        this.userInfo = userInfo;
    }

    public StoreInfo getStoreInfo() {
        return storeInfo;
    }

    public void setStoreInfo(StoreInfo storeInfo) {
        this.storeInfo = storeInfo;
    }
}